> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar papéis

> Lista os papéis do escritório.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /user-roles/
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /user-roles/:
    get:
      tags:
        - Roles
      summary: Listar papéis
      description: Lista os papéis do escritório.
      parameters:
        - schema:
            anyOf:
              - type: string
              - type: number
          in: query
          name: page
          required: false
          description: Página da listagem.
        - schema:
            anyOf:
              - type: string
              - type: number
          in: query
          name: limit
          required: false
          description: Quantidade de itens por página.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: ID do papel.
                    name:
                      type: string
                      description: Nome do papel.
                    permissions:
                      type: array
                      items:
                        type: string
                      description: Permissões do papel.
                  required:
                    - id
                    - name
                  additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````